<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * IngresosMatriculacion
 *
 * @ORM\Table(name="ingresos_matriculacion", indexes={@ORM\Index(name="cve_pag_mat", columns={"cve_pag_mat"}), @ORM\Index(name="cve_pla", columns={"cve_pla"}), @ORM\Index(name="cve_ban", columns={"cve_ban"})})
 * @ORM\Entity
 */
class IngresosMatriculacion
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ing_mat", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideIngMat;

    /**
     * @var string
     *
     * @ORM\Column(name="referencia", type="string", length=100, nullable=false)
     */
    private $referencia;

    /**
     * @var string
     *
     * @ORM\Column(name="monto", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $monto;

    /**
     * @var string
     *
     * @ORM\Column(name="beca", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $beca;

    /**
     * @var string
     *
     * @ORM\Column(name="recargos", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $recargos;

    /**
     * @var string
     *
     * @ORM\Column(name="total", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $total;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=255, nullable=false)
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="tip_pag", type="integer", nullable=false)
     */
    private $tipPag;

    /**
     * @var string
     *
     * @ORM\Column(name="num_recibo", type="string", length=50, nullable=false)
     */
    private $numRecibo;

    /**
     * @var integer
     *
     * @ORM\Column(name="enfermeria", type="integer", nullable=true)
     */
    private $enfermeria = '0';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=false)
     */
    private $cveUsu;

    /**
     * @var \PagosMatriculacion
     *
     * @ORM\ManyToOne(targetEntity="PagosMatriculacion")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pag_mat", referencedColumnName="ide_pag_mat")
     * })
     */
    private $cvePagMat;

    /**
     * @var \Planteles
     *
     * @ORM\ManyToOne(targetEntity="Planteles")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_pla", referencedColumnName="ide_pla")
     * })
     */
    private $cvePla;

    /**
     * @var \Bancos
     *
     * @ORM\ManyToOne(targetEntity="Bancos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_ban", referencedColumnName="ide_ban")
     * })
     */
    private $cveBan;



    /**
     * Get ideIngMat
     *
     * @return integer
     */
    public function getIdeIngMat()
    {
        return $this->ideIngMat;
    }

    /**
     * Set referencia
     *
     * @param string $referencia
     *
     * @return IngresosMatriculacion
     */
    public function setReferencia($referencia)
    {
        $this->referencia = $referencia;
    
        return $this;
    }

    /**
     * Get referencia
     *
     * @return string
     */
    public function getReferencia()
    {
        return $this->referencia;
    }

    /**
     * Set monto
     *
     * @param string $monto
     *
     * @return IngresosMatriculacion
     */
    public function setMonto($monto)
    {
        $this->monto = $monto;
    
        return $this;
    }

    /**
     * Get monto
     *
     * @return string
     */
    public function getMonto()
    {
        return $this->monto;
    }

    /**
     * Set beca
     *
     * @param string $beca
     *
     * @return IngresosMatriculacion
     */
    public function setBeca($beca)
    {
        $this->beca = $beca;
    
        return $this;
    }

    /**
     * Get beca
     *
     * @return string
     */
    public function getBeca()
    {
        return $this->beca;
    }

    /**
     * Set recargos
     *
     * @param string $recargos
     *
     * @return IngresosMatriculacion
     */
    public function setRecargos($recargos)
    {
        $this->recargos = $recargos;
    
        return $this;
    }

    /**
     * Get recargos
     *
     * @return string
     */
    public function getRecargos()
    {
        return $this->recargos;
    }

    /**
     * Set total
     *
     * @param string $total
     *
     * @return IngresosMatriculacion
     */
    public function setTotal($total)
    {
        $this->total = $total;
    
        return $this;
    }

    /**
     * Get total
     *
     * @return string
     */
    public function getTotal()
    {
        return $this->total;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     *
     * @return IngresosMatriculacion
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;
    
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set tipPag
     *
     * @param integer $tipPag
     *
     * @return IngresosMatriculacion
     */
    public function setTipPag($tipPag)
    {
        $this->tipPag = $tipPag;
    
        return $this;
    }

    /**
     * Get tipPag
     *
     * @return integer
     */
    public function getTipPag()
    {
        return $this->tipPag;
    }

    /**
     * Set numRecibo
     *
     * @param string $numRecibo
     *
     * @return IngresosMatriculacion
     */
    public function setNumRecibo($numRecibo)
    {
        $this->numRecibo = $numRecibo;
    
        return $this;
    }

    /**
     * Get numRecibo
     *
     * @return string
     */
    public function getNumRecibo()
    {
        return $this->numRecibo;
    }

    /**
     * Set enfermeria
     *
     * @param integer $enfermeria
     *
     * @return IngresosMatriculacion
     */
    public function setEnfermeria($enfermeria)
    {
        $this->enfermeria = $enfermeria;
    
        return $this;
    }

    /**
     * Get enfermeria
     *
     * @return integer
     */
    public function getEnfermeria()
    {
        return $this->enfermeria;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return IngresosMatriculacion
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return IngresosMatriculacion
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return IngresosMatriculacion
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;
    
        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cvePagMat
     *
     * @param \CmBundle\Entity\PagosMatriculacion $cvePagMat
     *
     * @return IngresosMatriculacion
     */
    public function setCvePagMat(\CmBundle\Entity\PagosMatriculacion $cvePagMat = null)
    {
        $this->cvePagMat = $cvePagMat;
    
        return $this;
    }

    /**
     * Get cvePagMat
     *
     * @return \CmBundle\Entity\PagosMatriculacion
     */
    public function getCvePagMat()
    {
        return $this->cvePagMat;
    }

    /**
     * Set cvePla
     *
     * @param \CmBundle\Entity\Planteles $cvePla
     *
     * @return IngresosMatriculacion
     */
    public function setCvePla(\CmBundle\Entity\Planteles $cvePla = null)
    {
        $this->cvePla = $cvePla;
    
        return $this;
    }

    /**
     * Get cvePla
     *
     * @return \CmBundle\Entity\Planteles
     */
    public function getCvePla()
    {
        return $this->cvePla;
    }

    /**
     * Set cveBan
     *
     * @param \CmBundle\Entity\Bancos $cveBan
     *
     * @return IngresosMatriculacion
     */
    public function setCveBan(\CmBundle\Entity\Bancos $cveBan = null)
    {
        $this->cveBan = $cveBan;
    
        return $this;
    }

    /**
     * Get cveBan
     *
     * @return \CmBundle\Entity\Bancos
     */
    public function getCveBan()
    {
        return $this->cveBan;
    }
}
